import React, { ReactNode } from 'react';
import { KeyboardTypeOptions } from 'react-native';
import { BaseProps, IconPosition } from '../types';
export interface Props extends BaseProps {
    label?: ReactNode;
    onChange?: (value: string) => void;
    value?: string;
    placeholder?: string;
    disabled?: boolean;
    error?: ReactNode;
    keyboardType?: KeyboardTypeOptions;
    autoCapitalize?: 'none' | 'sentences' | 'words' | 'characters';
    autoFocus?: boolean;
    icon?: ReactNode;
    iconPosition?: IconPosition;
    secureTextEntry?: boolean;
}
declare const _default: React.FunctionComponent<import("../../hocs/withReduxForm").Props>;
export default _default;
