import React, { ReactNode } from 'react';
import { BaseProps } from '../types';
import { OptionProps } from './types';
interface Props extends BaseProps {
    label?: ReactNode;
    variant?: 'default' | 'brand';
    value?: string;
    options?: OptionProps[];
    onChange?: (event: OptionProps) => void;
    disabled?: boolean;
    isFullWidth?: boolean;
}
/**
 * SegmentedControl component controls user interacion with a particular process.
 */
declare const SegmentedControl: React.FC<Props>;
export default SegmentedControl;
